[global_tags]
    host = "$HOSTNAME"
[agent]
    interval = "5m"
[[outputs.influxdb]]
    #CREATE DATABASE "telegraf" WITH DURATION 30d NAME "retention30d"
    database = "telegraf"
    urls = ["http://127.0.0.1:8086"]
[[inputs.disk]]
    ignore_fs = ["tmpfs", "devtmpfs", "devfs", "iso9660", "overlay", "aufs", "squashfs"]
[[inputs.docker]]
    endpoint = "unix:///var/run/docker.sock"
[[inputs.cpu]]
    ## Whether to report per-cpu stats or not
    percpu = true
    ## Whether to report total system cpu stats or not
    totalcpu = true
    ## If true, collect raw CPU time metrics.
    collect_cpu_time = false
    ## If true, compute and report the sum of all non-idle CPU states.
    report_active = false
    interval = "2s"
[[inputs.conntrack]]
    files = ["ip_conntrack_count","ip_conntrack_max",
            "nf_conntrack_count","nf_conntrack_max"]
    dirs = ["/proc/sys/net/ipv4/netfilter","/proc/sys/net/netfilter"]
[[inputs.net]]
    interfaces = ["eth*", "en*", "enp0s*", "lo"]
[[inputs.mem]]
[[inputs.swap]]
    fielddrop=["free","total"]
[[inputs.system]]
    fielddrop=["n_users","uptime_format"]
[[inputs.nstat]]
    interval = "2s"
    proc_net_netstat = "" # this is of interest.
    fieldpass = ["IpExtOutOctets","IpExtInOctets"] 